### Enumeration

# Gio TlsRehandshakeMode

deprecated: 2.60. since: 2.28

#### Declaration

    enum Gio.TlsRehandshakeMode

#### Description

When to allow rehandshaking. See g_tls_connection_set_rehandshake_mode().

Available since: 2.28

Deprecated since: 2.60.

Changing the rehandshake mode is no longer required for compatibility. Also, rehandshaking has been removed from the TLS protocol in TLS 1.3.

#### Members

`G_TLS_REHANDSHAKE_NEVER`

  Never allow rehandshaking.

  - Value: `0`
  - Available since: 2.28
`G_TLS_REHANDSHAKE_SAFELY`

  Allow safe rehandshaking only.

  - Value: `1`
  - Available since: 2.28
`G_TLS_REHANDSHAKE_UNSAFELY`

  Allow unsafe rehandshaking.

  - Value: `2`
  - Available since: 2.28